gr::gfdm::advanced_receiver_kernel_cc Class Reference

Hold config and functions for advanced IC kernel. More...

`#include <advanced_receiver_kernel_cc.h>`

## Public Types

typedef boost::shared_ptr< advanced_receiver_kernel_cc > | sptr

## Public Member Functions

| advanced_receiver_kernel_cc (int timeslots, int subcarriers, int overlap, std::vector< gr_complex > frequency_taps, std::vector< int > subcarrier_map, int ic_iter, gr::digital::constellation_sptr constellation, int do_phase_compensation)
| ~advanced_receiver_kernel_cc ()
void | generic_work (gr_complex *p_out, const gr_complex *p_in)
void | generic_work_equalize (gr_complex *out, const gr_complex *in, const gr_complex *f_eq_in)
void | set_ic (int ic_iter)
int | get_ic (void)
int | block_size ()
void | set_phase_compensation (int do_phase_compensation)
int | get_phase_compensation ()

## Detailed Description

Hold config and functions for advanced IC kernel.

## Member Typedef Documentation

## sptr

typedef boost::shared_ptr<advanced_receiver_kernel_cc> gr::gfdm::advanced_receiver_kernel_cc::sptr

## Constructor & Destructor Documentation

## advanced_receiver_kernel_cc()

gr::gfdm::advanced_receiver_kernel_cc::advanced_receiver_kernel_cc | ( | int | timeslots,
|  | int | subcarriers,
|  | int | overlap,
|  | std::vector< gr_complex > | frequency_taps,
|  | std::vector< int > | subcarrier_map,
|  | int | ic_iter,
|  | gr::digital::constellation_sptr | constellation,
|  | int | do_phase_compensation
| ) |  |

## ~advanced_receiver_kernel_cc()

gr::gfdm::advanced_receiver_kernel_cc::~advanced_receiver_kernel_cc | ( |  | ) |

## Member Function Documentation

## block_size()

int gr::gfdm::advanced_receiver_kernel_cc::block_size | ( |  | ) |

inline

## generic_work()

void gr::gfdm::advanced_receiver_kernel_cc::generic_work | ( | gr_complex * | p_out,
|  | const gr_complex * | p_in
| ) |  |

## generic_work_equalize()

void gr::gfdm::advanced_receiver_kernel_cc::generic_work_equalize | ( | gr_complex * | out,
|  | const gr_complex * | in,
|  | const gr_complex * | f_eq_in
| ) |  |

## get_ic()

int gr::gfdm::advanced_receiver_kernel_cc::get_ic | ( | void |  | ) |

inline

## get_phase_compensation()

int gr::gfdm::advanced_receiver_kernel_cc::get_phase_compensation | ( |  | ) |

inline

## set_ic()

void gr::gfdm::advanced_receiver_kernel_cc::set_ic | ( | int | ic_iter | ) |

inline

## set_phase_compensation()

void gr::gfdm::advanced_receiver_kernel_cc::set_phase_compensation | ( | int | do_phase_compensation | ) |

inline

The documentation for this class was generated from the following file:

- advanced_receiver_kernel_cc.h